petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetDM

Gets the DM defining the data layout of the vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode VecGetDM(Vec v, DM *dm)

Not collective Many br

### Input Parameter

v - The Vec Many br

### Output Parameter

dm - The DM Many br

Many br

### See Also

VecSetDM(), DMGetLocalVector(), DMGetGlobalVector(), DMSetVecType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex11.c.html